Subject: Re: [PATCH v7 4/4] vimdiff: add description to already existing diff/merge tools

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Mar 2022 11:50:40 -0700

Philippe Blain <[email-masked]> writes:

> Hi Junio, Fernando,
>
> Le 2022-03-29 à 12:38, Junio C Hamano a écrit :
>> Fernando Ramos <[email-masked]> writes:
>> 
>>> ---
>> 
>> Missing log message and sign off.  "add description" tells us what
>> it did, which is easily visible in the patch text already.  The log
>> message should say why we are adding them, and the rationale has to
>> be better than "adding is better than not adding".  E.g. "in output
>> of X and Y, we only show the names without explanation on what they
>> are, which is not helpful enough" would be a helpful log message.
>
> I might add that the prefix of the commit message title should be changed
> to 'mergetools: ' 
>
>> 
>> Doesn't the change in [3/4] to include these strings in generated
>> mergetools-*.txt file depend on this in place?
>> 
>> Thanks.
>> 
>
> The list of available values are already generated in the  mergetools-diff.txt and
> mergetools-merge.txt files before this series. After 3/4 we also
> include the description of the values. In 3/4 descriptions are only added for
> vimdiff and friends, so the rest of the tools would simply be listed without 
> descriptions. After 4/4 all tools have a description.

OK.  I wonder how that affects our discussion to switch to the
description list?  This adds what appears as the description.
Before this step, it would be <dl>...</dl> inside which <dt> appears
but not <dd>.